Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wsc
Class RegistrationCoordinator

    java.lang.Object
      com.arjuna.wsc.RegistrationCoordinator

public class RegistrationCoordinator
extends java.lang.Object

Wrapper around low level Registration Coordinator messaging.

Author:
  kevin

Constructor Summary
`RegistrationCoordinator()`

Method Summary
`static com.arjuna.webservices.wsaddr.EndpointReferenceType` | `register(com.arjuna.webservices.wscoor.CoordinationContextType coordinationContext, java.lang.String messageID, com.arjuna.webservices.wsaddr.EndpointReferenceType participantProtocolService, java.lang.String protocolIdentifier)` Register the participant in the protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationCoordinator

    public RegistrationCoordinator()

Method Detail

### register

    public static com.arjuna.webservices.wsaddr.EndpointReferenceType register(com.arjuna.webservices.wscoor.CoordinationContextType coordinationContext,
                                                                               java.lang.String messageID,
                                                                               com.arjuna.webservices.wsaddr.EndpointReferenceType participantProtocolService,
                                                                               java.lang.String protocolIdentifier)
                                                                        throws AlreadyRegisteredException,
                                                                               InvalidProtocolException,
                                                                               InvalidStateException,
                                                                               NoActivityException,
                                                                               com.arjuna.webservices.SoapFault

  Register the participant in the protocol.

  Parameters:
    `coordinationContext` - The current coordination context
    `messageID` - The messageID to use.
    `participantProtocolService` - The participant protocol service.
    `protocolIdentifier` - The protocol identifier.
  Returns:
    The endpoint reference of the coordinator protocol service.
  Throws:
    `AlreadyRegisteredException` - If the participant is already registered.
    `InvalidProtocolException` - If the protocol is unsupported.
    `InvalidStateException` - If the state is invalid
    `NoActivityException` - If there is to activity context active.
    `com.arjuna.webservices.SoapFault` - for errors during processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD